GET /api/alchemy/balances/{address}
All token balances
GET balances data from alchemy service
Endpoint​
GET https://api.web3identity.com/api/alchemy/balances/{address}
Parameters​
| Name | In | Type | Required | Description |
|---|---|---|---|---|
address | path | string | âś… | Ethereum address (0x...) |
Example Request​
curl -s "https://api.web3identity.com/api/alchemy/balances/:address" | jq
Responses​
200 Success​
{
"address": "0x1234567890abcdef1234567890abcdef12345678",
"balance": "12.456789",
"balanceUsd": 40567.89,
"tokens": [
{
"symbol": "ETH",
"balance": "12.456789",
"balanceUsd": 40567.89
},
{
"symbol": "USDC",
"balance": "5000.00",
"balanceUsd": 5000
}
]
}
400 Bad request - invalid parameters​
{
"example": "response"
}
402 Payment required​
404 Resource not found​
{
"example": "response"
}
429 Rate Limited​
{
"example": "response"
}
500 Internal Server Error - Something went wrong on our end​
{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}
Auto-generated from OpenAPI spec